import Foundation

struct Sub_Category_Model : Codable {
    
	let id : String?
	let category_id : String?
	let lang_key : String?
	let type : String?
	let lang : String?

	enum CodingKeys: String, CodingKey {
		case id = "id"
		case category_id = "category_id"
		case lang_key = "lang_key"
		case type = "type"
		case lang = "lang"
	}

	init(from decoder: Decoder) throws {
		let values = try decoder.container(keyedBy: CodingKeys.self)
		id = try values.decodeIfPresent(String.self, forKey: .id)
		category_id = try values.decodeIfPresent(String.self, forKey: .category_id)
		lang_key = try values.decodeIfPresent(String.self, forKey: .lang_key)
		type = try values.decodeIfPresent(String.self, forKey: .type)
		lang = try values.decodeIfPresent(String.self, forKey: .lang)
	}

}
